// utility.h 

// This header file declares various basic utility functions and
// related macros.


#define  NO                (response() == FALSE)
#define  YES               (response() == TRUE)



extern  void          compress_file(char *);
extern  void          copy_file(char *, char *);
extern  void          error(char *);
extern  long          file_exists(char *);
extern  float         frand(int);
extern  bool          get_echo(void);
extern  double        get_time(void);
extern  int           irand(int);
extern  void          other_case(char *str);
extern  long          parse(char *,char **,long);
extern  bool          response(void);
extern  void          scan_long(istream &stream,long &);
extern  void          scan_string(istream &stream,char *);
extern  void          scan_ulong(istream &stream,ulong &);
extern  void          set_echo(bool ech);
extern  void          start_time(void);
extern  void          to_lower(char *);
extern  bool          uncompress_file(char *);
extern  void          update_time(void);

// end of utility.h
